Update conversation

Update conversation

patch

Update a conversation's properties

Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')

Path parameters
workspaceIdstring · uuidRequired

The workspace ID

Example: b4e02c85-c6d2-4b15-8885-e09671799c61
conversationIdstring · uuidRequired

The conversation ID

Example: 67e4d358-ca94-421e-98b7-448860df9d33
Body

A conversation.

namestring · nullableOptional

Name of the conversation. If it's an email channel, this will correspond to the email subject.

Example: Re: Your refund request
descriptionstring · nullableOptional
statusstring · enumOptional

Status of the conversation. Attempting to send messages in closed conversations results in an error.

Default: activePossible values:
visibilitystring · enumOptional

Whether the conversation is public or private.

Default: publicPossible values:
accessibilitystring · enumOptional

Indicates the access level for new participants to join the conversation.

Default: openPossible values:
Responses
chevron-right
200

The conversation was updated

application/json

A conversation object.

idstringRequired

Conversation ID.

Example: 299227f5-1c61-4341-ad50-efed5c048998
namestringRequired

Name of the conversation. If it's an email channel, this will correspond to the email subject.

Example: Re: Your refund request
descriptionstringOptional

Conversation description.

Example: Refund request ticket
statusstring · enumRequired

Status of the conversation. Attempting to send messages in closed conversations results in an error.

Default: activePossible values:
visibilitystring · enumRequired

Whether the conversation is public or private.

Default: publicPossible values:
accessibilitystring · enumRequired

Indicates the access level for new participants to join the conversation.

Default: openPossible values:
stylestring · enumOptional

The style of the conversation. - default: The conversation style is dictated by the underlying platform. Participants will be a mix of user and contact participants. - directMessage: The conversation is a direct conversation between user participants. Participants will be of user type. - chatChannel: The conversation is a chat channel conversation. Participants will be of user type. - personalInbox: The conversation is in the personal inbox for a user participant. Participants will be the owning user, and one or more personal contact participants. - resource: The conversation consists of comments on a resource. Participants will be of user type and resource will be set.

Default: defaultPossible values:
activeParticipantCountintegerRequired

Number of active participants.

Example: 2
pendingParticipantCountintegerOptional

Number of participants who have requested to join the conversation with pending approval.

Example: 1
channelIdstring · uuid · min: 1Required

Channel ID.

Example: ab651378-579a-4491-abe6-eec97d4c0fa3
lastMessageIncomingAtstring · date-time · nullableOptional

Timestamp of the last incoming message in RFC3339 format.

lastMessageOutgoingAtstring · date-time · nullableOptional

Timestamp of the last outgoing message in RFC3339 format.

createdAtstring · date-timeRequired

Creation timestamp formatted as RFC3339.

Example: 2024-01-01T00:00:00.123Z
updatedAtstring · date-timeRequired

Update timestamp formatted as RFC3339.

Example: 2024-01-01T00:00:00.123Z
platformStylestring · enumRequired

The communication style of the platform. email represents an email channel; direct represents a 1:1 conversation, most channels will fall in this category, like WhatsApp and RCS; direct-multiple represents a channel that supports multiple conversations per contact, e.g. Chat; direct-threaded represents a threaded communication channel, e.g. Instagram Comments.

Possible values:
summarystringOptional

Summary of the conversation.

Example: Re: Your refund request
likelySpambooleanOptional

Whether this conversation was flagged as spam. Only present when anti-spam is enabled in the workspace settings.

likelySpamReasonstringOptional

Reason for being flagged as spam.

Example: advertisement
hasDraftbooleanOptional

Indicates if the conversation contains at least one draft message.

patch
/workspaces/{workspaceId}/conversations/{conversationId}

Examples

curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/907798f8-fd72-44d5-8042-fcc05c1bb570" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "name": "new name",
  "description": "description",
  "visibility": "private",
  "attributes": {
    "my-attribute": "123"
  }
}'

Last updated

Was this helpful?